## ros-humble-rmf-visualization 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmf_visualization)

find_package(ament_cmake REQUIRED)

install(DIRECTORY
  launch/
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-humble-rmf-visualization (2.0.2-1bookworm) bookworm; urgency=high

  * Port version bump and changes from main to humble
  * Switch to rst changelogs (#57 <https://github.com/open-rmf/rmf_visualization/issues/57>)
  * Contributors: Esteban Martinena, Grey, Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rmf-visualization (2.0.1-1bookworm) bookworm; urgency=high



 -- Yadunund <yadunund@openrobotics.org>  Mon, 14 Nov 2022 16:00:00 -0000

ros-humble-rmf-visualization (2.0.0-1bookworm) bookworm; urgency=high

  * Update launch file to bringup navgraph, floorplan and obstacle visualizers: (#44 <https://github.com/open-rmf/rmf_visualization/pull/44>)

 -- Yadunund <yadunund@openrobotics.org>  Sun, 02 Oct 2022 16:00:00 -0000

ros-humble-rmf-visualization (1.2.1-1bookworm) bookworm; urgency=high

  * Fix style checking in CI: (#37 <https://github.com/open-rmf/rmf_visualization/pull/3>)
  * Contributors: Grey

 -- Yadunund <yadunund@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

ros-humble-rmf-visualization (1.2.0-1bookworm) bookworm; urgency=high

  * Renamed package to rmf_visualization with visualization.launch.xml launch file: (#8 <https://github.com/open-rmf/rmf_visualization/pull/8>)
  * Renamed visualizer.xml to visualizer.launch.xml: (#6 <https://github.com/open-rmf/rmf_visualization/pull/6>)
  * Removed server.xml: (#7 <https://github.com/open-rmf/rmf_visualization/pull/7>)

 -- Yadunund <yadunund@openrobotics.org>  Sun, 13 Jun 2021 16:00:00 -0000

ros-humble-rmf-visualization (1.1.0-1bookworm) bookworm; urgency=high

  * Websocket server for negotiation visualizer: (#69 <https://github.com/osrf/rmf_schedule_visualizer/pull/69>)
  * Improve lift and door marker display for multi-level nav-graphs: (#58 <https://github.com/osrf/rmf_schedule_visualizer/pull/58>)
  * Contributors: Kevin_Skywalker, Michael X. Grey, Teo Koon Peng, ddengster

 -- Yadunund <yadunund@openrobotics.org>  Wed, 23 Sep 2020 16:00:00 -0000

ros-humble-rmf-visualization (1.0.0-1bookworm) bookworm; urgency=high

  * Provides a single launch file, visualizer.xml, to start the rmf_schedule_visualizer, `fleet_state_visualizer, building_systems_visualizer with RViz as front end.
  * Provides a single launch file, server.xml to start the rmf_schedule_visualizer with a websocket server as back end.
  * Contributors: Yadu

 -- Yadunund <yadunund@openrobotics.org>  Sun, 21 Jun 2020 16:00:00 -0000

=== debian/control ===
Source: ros-humble-rmf-visualization
Section: misc
Priority: optional
Maintainer: Yadunund <yadunund@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmf-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-launch-xml, ros-humble-rmf-visualization-building-systems, ros-humble-rmf-visualization-fleet-states, ros-humble-rmf-visualization-floorplans, ros-humble-rmf-visualization-navgraphs, ros-humble-rmf-visualization-obstacles, ros-humble-rmf-visualization-rviz2-plugins, ros-humble-rmf-visualization-schedule, ros-humble-ros-workspace
Description: Package containing a single launch file to bringup various visualizations

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmf-visualization//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rmf-visualization//opt/ros/humble/opt/rmf_visualization/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
